import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
import { ClosableToast, ToastExpirationOptions } from '../../interfaces/toast.interface';
export declare class EdelToastgroupComponent {
    toasts: ClosableToast[];
    didLoad: EventEmitter;
    duration: number;
    canClose: boolean;
    now: number | (() => number);
    hostData(): {
        class: string;
    };
    render(): JSX.Element[];
    cleanExpiredToasts(): void;
    good(message: string, options?: ToastExpirationOptions): ClosableToast;
    bad(message: string, options?: ToastExpirationOptions): ClosableToast;
    info(message: string, options?: ToastExpirationOptions): ClosableToast;
    warning(message: string, options?: ToastExpirationOptions): ClosableToast;
    componentDidLoad(): void;
    private presentToast;
    private currentTimestamp;
    private expiration;
    private scheduleCleanFor;
    private removeToast;
    private removeToastsWhere;
    private canonicalToastOptions;
}
